Bug 850666 - [RFE] RHS 2.0 Plus Feature Documentation: O_DIRECT Support in Translators
[RFE] RHS 2.0 Plus Feature Documentation: O_DIRECT Support in Translators
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Divya
Gowrishankar Rajaiyan
: FutureFeature
Depends On: 845213 856156 857673
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 02:30 EDT by Divya
Modified: 2013-02-19 02:18 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Following improvements have been done regarding O_DIRECT: 1) Improved write-behind translator to perform better with O_DIRECT. 2) Filter O_DIRECT on the clients to avoid sending the flag over the wire to servers.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-19 02:18:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Divya 2012-08-22 02:30:10 EDT
In Red Hat Storage 2.0 Plus, it is planned to provide O_DIRECT support in translators to avoid page caching.
Comment 2 Divya 2013-01-09 01:35:38 EST
Hi Amar,

Could you please provide O_Direct support information in Doc Text field?

Thanks,
Divya
Comment 3 Amar Tumballi 2013-01-11 02:47:49 EST
Vijay, I have added doc_text field, please verify if its fine.
Comment 4 Divya 2013-02-18 05:18:15 EST
Amar,

Seeking clarification on this bug. Based on our earlier conversation, you had mentioned that this bug does not have any impact on docs. Kindly elaborate and clarify. Your clarification would help me resolve the bug.

Regards,
Divya
Comment 5 Amar Tumballi 2013-02-18 09:40:24 EST
Hi Divya,

after discussions, we understood mention about O_DIRECT is not for any benefits of user, and it is very much a technical detail about the product, which it *should* handle. So, there is no need to elaborate on this option.

Hope this clarifies your doubts.
Comment 6 Divya 2013-02-19 02:18:10 EST
As per Amar's comment, this feature does not have documentation impact. Hence, closing this bug.

Note You need to log in before you can comment on or make changes to this bug.